<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
      data-namespace-typo3-fluid="true">
<f:layout name="General" />
<!--
	=====================
		Templates/News/List.html

	1 = Listing Startseite
	2 = Listing Veranstaltungen
	3 = Listing Mahnwache
	4 = Listing Themen
	5 = Listing News
	6 = Detail Karriere
	7 = Detail News
	8 = Detail Projekte
-->

<f:section name="content">
    <!--TYPO3SEARCH_begin-->
    <f:switch expression="{settings.templateLayout}">
        <f:case value="1">
            <f:for each="{news}" as="newsItem" iteration="iterator">
                <f:render partial="List/Projekt" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
            </f:for>
        </f:case>
        <f:case value="2">
            <section class="news events">
                <f:for each="{news}" as="newsItem" iteration="iterator">
                    <f:render partial="List/Events" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
                </f:for>
            </section>
        </f:case>
        <f:case value="3">
            <section class="news mahnwache-wrap">
                <f:for each="{news}" as="newsItem" iteration="iterator">
                    <f:render partial="List/Mahnwache" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
                </f:for>
            </section>
        </f:case>
        <f:case value="4">
            <section class="news themen">
                <f:for each="{news}" as="newsItem" iteration="iterator">
                    <f:render partial="List/Projekt" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
                </f:for>
            </section>
        </f:case>
        <f:case value="5">
            <section class="news listing row py-3 py-lg-5">
                <f:if condition="{settings.hidePagination}">
                    <f:then>
                        <f:for each="{news}" as="newsItem" iteration="iterator">
                            <div class="col-12 col-md-6 col-xl-4 mb-4">
                                <f:render partial="List/News" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
                            </div>
                        </f:for>
                    </f:then>
                    <f:else>
                        <n:widget.paginate objects="{news}" as="paginatedNews" configuration="{settings.list.paginate}" initial="{offset:settings.offset,limit:settings.limit,recordId:contentObjectData.uid}">
                            <f:for each="{paginatedNews}" as="newsItem" iteration="iterator">
                                <div class="col-12 col-md-6 col-xl-4 mb-4">
                                    <f:render partial="List/News" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
                                </div>
                            </f:for>
                        </n:widget.paginate>
                    </f:else>
                </f:if>
            </section>
        </f:case>
        <f:case value="6">
            <section class="project__container py-5 pt-md-5 pb-md-3 mt-xl-10">
                <h2 class="services__content__headline mb-4 mb-lg-0 text-center text-xl-left">
                    {contentObjectData.rowDescription}
                </h2>
                <div class="container px-0 px-md-3 d-flex flex-column flex-lg-row justify-content-between align-items-stretch align-content-stretch flex-wrap">
                    <f:for each="{news}" as="newsItem" iteration="iterator">
                        <f:render partial="List/Projekt" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
                    </f:for>

                    <f:if condition="{pageData.backend_layout} != 'pagets__default'">
                        <div class="project__link__wrap text-center mt-5 mt-md-0">
                            <f:link.page pageUid="{settings.listPid}" class="project__all_projects">Alle Projekte anzeigen</f:link.page>
                        </div>
                    </f:if>
                </div>
            </section>
        </f:case>
    </f:switch>
    <!--TYPO3SEARCH_end-->
</f:section>
</html>
